﻿using System.Windows.Forms;
using Aero.Wizard;

namespace Example_Aero_Wizard
{
    public partial class ExamplePage1 : UserControl
    {
        public WizardDialog HostDialog { get; set; }
        ExamplePage2 Page2;

        public ExamplePage1(WizardDialog host)
        {
            HostDialog = host;
            InitializeComponent();

            Page2 = new ExamplePage2(HostDialog);
        }

        private void button1_Click(object sender, System.EventArgs e)
        {
            HostDialog.Close(DialogResult.Cancel);
        }

        private void commandLinkButton1_Click(object sender, System.EventArgs e)
        {
            HostDialog.SwitchToPage(Page2);
        }
    }
}
